Module | ActiveSupport::CoreExtensions::BigDecimal::Conversions
In: | lib/active_support/core_ext/bigdecimal/conversions.rb

### Methods

to_formatted_s to_yaml

### Constants

DEFAULT_STRING_FORMAT | = | 'F'.freeze
YAML_TAG | = | 'tag:yaml.org,2002:float'.freeze
YAML_MAPPING | = | { 'Infinity' => '.Inf', '-Infinity' => '-.Inf', 'NaN' => '.NaN' }

### Public Instance methods

to_formatted_s(format = DEFAULT_STRING_FORMAT)
to_yaml(opts = {})

This emits the number without any scientific notation. This is better than self.to_f.to_s since it doesn‘t lose precision.

Note that reconstituting YAML floats to native floats may lose precision.

[Validate]